SDL_guid.h File Reference
`#include <SDL3/SDL_stdinc.h>`
`#include <SDL3/SDL_begin_code.h>`
`#include <SDL3/SDL_close_code.h>`
Include dependency graph for SDL_guid.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | SDL_GUID

## Functions

void | SDL_GUIDToString (SDL_GUID guid, char *pszGUID, int cbGUID)
SDL_GUID | SDL_StringToGUID (const char *pchGUID)

## Function Documentation

## SDL_GUIDToString()

void SDL_GUIDToString | ( | SDL_GUID | guid,
|  | char * | pszGUID,
|  | int | cbGUID )

extern

Get an ASCII string representation for a given SDL_GUID.

Parameters

  guid | the SDL_GUID you wish to convert to string.
  pszGUID | buffer in which to write the ASCII string.
  cbGUID | the size of pszGUID, should be at least 33 bytes.

\threadsafety It is safe to call this function from any thread.

Since
  This function is available since SDL 3.2.0.

See also
  SDL_StringToGUID

## SDL_StringToGUID()

SDL_GUID SDL_StringToGUID | ( | const char * | pchGUID | ) |

extern

Convert a GUID string into a SDL_GUID structure.

Performs no error checking. If this function is given a string containing an invalid GUID, the function will silently succeed, but the GUID generated will not be useful.

Parameters

  pchGUID | string containing an ASCII representation of a GUID.

Returns
  a SDL_GUID structure.

\threadsafety It is safe to call this function from any thread.

Since
  This function is available since SDL 3.2.0.

See also
  SDL_GUIDToString